Name:           knemo
Version:        0.4.3
Release:        2%{?dist}
Summary:        A KDE network monitoring tool

Group:          Applications/Internet
License:        GPL
URL:            http://extragear.kde.org/apps/knemo/
Source0:        http://kde-apps.org/content/files/12956-%{name}-%{version}.tar.bz2
Patch0:         knemo-desktop-file-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext, qt-devel, kdelibs-devel, desktop-file-utils
BuildRequires:  wireless-tools, net-tools

Requires:       kdebase, wireless-tools, net-tools

%description
KNemo displays for every network interface an icon in the systray. Tooltips
and an info dialog provide further information about the interface. Passive
popups inform about interface changes. A traffic plotter is also integrated.
It polls the network interface status every second using the ifconfig, route
and iwconfig tools.

%prep
%setup -q
%patch0 -p0


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure --disable-rpath --disable-debug
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/*.la

desktop-file-install --vendor=""				\
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/kde	\
        --add-category X-Fedora					\
        --delete-original					\
        ${RPM_BUILD_ROOT}%{_datadir}/applications/kde/kcm_knemo.desktop

desktop-file-install --vendor=""				\
        --dir ${RPM_BUILD_ROOT}%{_datadir}/services/kded	\
        --add-category X-Fedora					\
        --delete-original					\
        ${RPM_BUILD_ROOT}%{_datadir}/services/kded/knemod.desktop

%find_lang kcm_knemo kcm_knemo.lang
%find_lang knemod knemod.lang
cat kcm_knemo.lang knemod.lang > knemo.lang


%post
touch --no-create %{_datadir}/icons/crystalsvg || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
fi

%postun
touch --no-create %{_datadir}/icons/crystalsvg || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
fi


%clean
rm -rf $RPM_BUILD_ROOT

# *.la files are usually not necessary (as Extras Guidelines say) and should not
# be packaged. But KDE and KControl needs it to work, so we'll make an exception
# here
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_datadir}/applications/kde/kcm_knemo.desktop
%{_datadir}/services/kded/knemod.desktop
%{_datadir}/apps/knemo
%{_datadir}/icons/crystalsvg/16x16/apps/knemo.png
%{_datadir}/icons/crystalsvg/22x22/actions/*.png
%{_datadir}/icons/crystalsvg/32x32/apps/knemo.png


%changelog
* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.3-2
- Rebuilt for FC6

* Sun Aug  6 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.3-1
- New upstream version

* Mon Jun 26 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.2-1
- Upstream update
- Fixes crashing when you click in panel icon (bz #196576)
- ifconfig and iwconfig are now in both Requires and
  BuildRequires (it checks while building too)

* Tue Jun 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.1-2
- ifconfig and iwconfig are now in Requires section instead
  of BuildRequires. They are runtime dependencies. Thanks to
  Kevin Kofler for pointing this.

* Mon Jun 12 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.1-1
- Upstream update

* Tue May 30 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-4
- Created BuildRequires for the ifconfig and iwconfig commands,
  as knemo utilizes it for monitoring.
- Removed addition of categories in desktop-file-install command

* Thu May 25 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-3
- Removed vendor option from desktop-file-install (no renaming)

* Sat May 20 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-2
- Installed .desktop files now use desktop-file-install

* Sat May 20 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-1
- Initial RPM release.
